Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 598836 - RHEL 6.0 RTC Alarm unusable in vm
Summary: RHEL 6.0 RTC Alarm unusable in vm
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Gleb Natapov
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks: 647104
TreeView+ depends on / blocked
 
Reported: 2010-06-02 07:06 UTC by Joy Pu
Modified: 2013-12-09 00:48 UTC (History)
8 users (show)

Fixed In Version: qemu-kvm-0.12.1.2-2.93.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 647104 (view as bug list)
Environment:
Last Closed: 2010-11-10 21:25:26 UTC
Target Upstream Version:


Attachments (Terms of Use)
rtc test program (deleted)
2010-06-02 08:16 UTC, Joy Pu
no flags Details

Description Joy Pu 2010-06-02 07:06:43 UTC
Description:
RHEL 6.0 Guest will failed the RTC test in autotest. The same test is passed in RHEL 6.0 host. Guest system will block in waiting for the alarm interrupt,and the device /dev/rtc0 is busy. This test is failed both in 32 bit guest and 64 bit guest and both in smp and single core.

Version-Release number of selected component (if applicable):
host kernel: 2.6.32-25.el6.x86_64
guest kernel: 2.6.32-31.el6
#  rpm -qa |grep qemu
qemu-img-0.12.1.2-2.68.el6.x86_64
qemu-kvm-0.12.1.2-2.68.el6.x86_64
qemu-kvm-debuginfo-0.12.1.2-2.68.el6.x86_64
gpxe-roms-qemu-0.9.7-6.3.el6.noarch
qemu-kvm-tools-0.12.1.2-2.68.el6.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Boot up a RHEL-6.0 guest
2. Compile rtc test and run it in the guest
3. Check the interrupt info in guest os
# cat /proc/interrupts |grep rtc


Actual results:
When set the RTC alarm. The set and enable operation are OK, but interrupt read will be blocked. And no interrupt is produced in system.
Expected results:
RTC alarm works well and return an interrupt in time.

Additional info:
1. The command line:
 /root/work/autotest/client/tests/kvm/qemu -name vm1 -monitor tcp:0:6001,server,nowait -drive file=/root/work/autotest/client/tests/kvm/images/RHEL-Server-6.0-32-virtio.raw,if=virtio,cache=writethrough,boot=on -n nic,vlan=0,model=virtio,macaddr=02:30:0D:20:13:d8 -net tap,vlan=0,ifname=virtio_0_6001,script=/root/work/autotest/client/tests/kvm/scripts/qemu-ifup-switch,downscript=no,vhost=on -m 4096 -smp 4 -soundhw ac97 -redir tcp:5000::22 -vnc :0 -usbdevice tablet -rtc-td-hack -no-hpet -cpu qemu64,+sse2 -no-kvm-pit-reinjection -serial unix:/tmp/serial-20100602-102220-SjdG,server,nowait

2.Host cpuinfo
processor       : 2
vendor_id       : AuthenticAMD
cpu family      : 16
model           : 2
model name      : AMD Phenom(tm) 8750 Triple-Core Processor
stepping        : 3
cpu MHz         : 1200.000
cache size      : 512 KB
physical id     : 0
siblings        : 3
core id         : 2
cpu cores       : 3
apicid          : 2
initial apicid  : 2
fpu             : yes
fpu_exception   : yes
cpuid level     : 5
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt pdpe1gb rdtscp lm 3dnowext 3dnow constant_tsc rep_good nonstop_tsc extd_apicid pni monitor cx16 popcnt lahf_lm cmp_legacy svm extapic cr8_legacy abm sse4a misalignsse 3dnowprefetch osvw ibs
bogomips        : 4809.88
TLB size        : 1024 4K pages
clflush size    : 64
cache_alignment : 64
address sizes   : 48 bits physical, 48 bits virtual
power management: ts ttp tm stc 100mhzsteps hwpstate

Comment 2 Joy Pu 2010-06-02 08:16:19 UTC
Created attachment 418948 [details]
rtc test program

Comment 3 RHEL Product and Program Management 2010-06-07 16:05:38 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 4 Eduardo Habkost 2010-07-08 18:31:13 UTC
Fixing component.

Comment 8 Joy Pu 2010-07-13 06:02:36 UTC
Test it in RHEL 6.0 host and RHEL6.0 guest
RTC alarm works well in qemu-kvm-0.12.1.2-2.93.el6.x86_64
And this can reproduced in qemu-kvm-0.12.1.2-2.90.el6.x86_64

Comment 9 releng-rhel@redhat.com 2010-11-10 21:25:26 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.